require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);
SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", true);

SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersJalapeno", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpCoconut", true);

SManager:AddMeal(MealType.STEAK, "steakLondonBroil", false);
SManager:AddMeal(MealType.FISH, "fishAhiMango", true);
SManager:AddMeal(MealType.PASTA, "fettucine", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.MEAL);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");